Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog
Interface Trackback

All Superinterfaces:
  Response

All Known Subinterfaces:
  Pingback

All Known Implementing Classes:
  DatabasePingback, DatabaseTrackback

public interface Trackback
extends Response

Since:
  blojsom 3.0
Version:
  $Id: Trackback.java,v 1.3 2006/04/05 00:46:32 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from interface org.blojsom.blog.Response
`COMMENT_TYPE, PINGBACK_TYPE, TRACKBACK_TYPE`

Method Summary
`java.lang.Integer` | `getBlogEntryId()` Get the blog entry ID
`java.lang.String` | `getBlogId()` Get the blog ID
`java.lang.String` | `getBlogName()` Get the blog name of the trackback
`java.lang.String` | `getDateAsFormat(java.lang.String format)` Return the trackback date formatted with a specified date format
`java.lang.String` | `getDateAsFormat(java.lang.String format, java.util.Locale locale)` Return the trackback date formatted with a specified date format
`Entry` | `getEntry()` Retrieve the `Entry` associated with this trackback
`java.lang.String` | `getExcerpt()` Get the excerpt of the trackback
`java.lang.Integer` | `getId()` Get the trackback ID
`java.util.Map` | `getMetaData()` Get the trackback meta-data
`java.lang.String` | `getTitle()` Get the title of the trackback
`java.util.Date` | `getTrackbackDate()` Retrieve the date this trackback was created
`java.lang.String` | `getUrl()` Get the url of the trackback
`void` | `setBlogEntryId(java.lang.Integer blogEntryId)` Set the blog entry ID
`void` | `setBlogId(java.lang.String blogId)` Set the blog ID
`void` | `setBlogName(java.lang.String blogName)` Set the blog name of the trackback
`void` | `setEntry(Entry blogEntry)` Set the `Entry` associated with this trackback
`void` | `setExcerpt(java.lang.String excerpt)` Set the excerpt of the trackback
`void` | `setId(java.lang.Integer id)` Set the trackback ID
`void` | `setMetaData(java.util.Map metaData)` Set the trackback meta-data
`void` | `setTitle(java.lang.String title)` Set the title of the trackback
`void` | `setTrackbackDate(java.util.Date trackbackDate)` Set the trackback date
`void` | `setUrl(java.lang.String url)` Set the url of the trackback

Methods inherited from interface org.blojsom.blog.Response
`getDate, getIp, getStatus, getType, setIp, setStatus`

Method Detail

### setId

    public void setId(java.lang.Integer id)

  Set the trackback ID

  Parameters:
    `id` - Trackback ID

### getId

    public java.lang.Integer getId()

  Get the trackback ID

  Returns:
    Trackback ID

### setBlogId

    public void setBlogId(java.lang.String blogId)

  Set the blog ID

  Parameters:
    `blogId` - Blog ID

### getBlogId

    public java.lang.String getBlogId()

  Get the blog ID

  Returns:
    Blog ID

### getBlogEntryId

    public java.lang.Integer getBlogEntryId()

  Get the blog entry ID

  Returns:
    Blog entry ID

### setBlogEntryId

    public void setBlogEntryId(java.lang.Integer blogEntryId)

  Set the blog entry ID

  Parameters:
    `blogEntryId` - Blog entry ID

### getTitle

    public java.lang.String getTitle()

  Get the title of the trackback

  Returns:
    Trackback title

### setTitle

    public void setTitle(java.lang.String title)

  Set the title of the trackback

  Parameters:
    `title` - Trackback title

### getExcerpt

    public java.lang.String getExcerpt()

  Get the excerpt of the trackback

  Returns:
    Trackback excerpt

### setExcerpt

    public void setExcerpt(java.lang.String excerpt)

  Set the excerpt of the trackback

  Parameters:
    `excerpt` - Trackback excerpt

### getUrl

    public java.lang.String getUrl()

  Get the url of the trackback

  Returns:
    Trackback url

### setUrl

    public void setUrl(java.lang.String url)

  Set the url of the trackback

  Parameters:
    `url` - Trackback url

### getBlogName

    public java.lang.String getBlogName()

  Get the blog name of the trackback

  Returns:
    Trackback blog name

### getMetaData

    public java.util.Map getMetaData()

  Get the trackback meta-data

  Returns:
    Meta-data as a `Map`

### setBlogName

    public void setBlogName(java.lang.String blogName)

  Set the blog name of the trackback

  Parameters:
    `blogName` - Trackback blog name

### setMetaData

    public void setMetaData(java.util.Map metaData)

  Set the trackback meta-data

  Parameters:
    `metaData` - `Map` containing meta-data for this trackback

### getDateAsFormat

    public java.lang.String getDateAsFormat(java.lang.String format)

  Return the trackback date formatted with a specified date format

  Parameters:
    `format` - Date format
  Returns:
    `null` if the format is null, otherwise returns the trackback date formatted to the specified format. If the format is invalid, returns `trackbackDate.toString()`

### getDateAsFormat

    public java.lang.String getDateAsFormat(java.lang.String format,
                                            java.util.Locale locale)

  Return the trackback date formatted with a specified date format

  Parameters:
    `format` - Date format
    `locale` - Locale for date formatting
  Returns:
    `null` if the entry date or format is null, otherwise returns the entry date formatted to the specified format. If the format is invalid, returns `trackbackDate.toString()`

### getEntry

    public Entry getEntry()

  Retrieve the `Entry` associated with this trackback

  Returns:
    `Entry`

### setEntry

    public void setEntry(Entry blogEntry)

  Set the `Entry` associated with this trackback

  Parameters:
    `blogEntry` - `Entry`

### getTrackbackDate

    public java.util.Date getTrackbackDate()

  Retrieve the date this trackback was created

  Returns:
    Date trackback was created

### setTrackbackDate

    public void setTrackbackDate(java.util.Date trackbackDate)

  Set the trackback date

  Parameters:
    `trackbackDate` - Trackback date

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD